<?php
/*
 * The routes for API.
 */
$routes = array();

$routes['/contacts']               = 'contacts';
$routes['/contacts/:id']           = 'contact';

$routes['/contracts']              = 'contracts';
$routes['/contracts/mobile/:type'] = 'contractsmobile';
$routes['/contracts/:id']          = 'contract';
$routes['/contracts/:id/:type']    = 'contract';

$routes['/customers']              = 'customers';
$routes['/customers/mobile']       = 'customersmobile';
$routes['/customers/pairs']        = 'customerpairs';
$routes['/customers/:id']          = 'customer';
$routes['/customers/:id/:type']    = 'customer';

$routes['/dashboards/:app']        = 'dashboard';

$routes['/datings']                = 'datings';
$routes['/datings/:id']            = 'dating';

$routes['/feedbacks']              = 'feedbacks';
$routes['/feedbacks/:id']          = 'feedback';

$routes['/files']                  = 'files';
$routes['/files/:id']              = 'file';

$routes['/histories']              = 'history';

$routes['/invoices']               = 'invoices';
$routes['/invoices/:id']           = 'invoice';

$routes['/leads']                  = 'leads';
$routes['/leads/:id']              = 'lead';

$routes['/orders']                 = 'orders';
$routes['/orders/mobile']          = 'ordersmobile';
$routes['/orders/pairs']           = 'orderpairs';
$routes['/orders/:id']             = 'order';

$routes['/products']               = 'products';
$routes['/products/:id']           = 'product';

$routes['/providers']              = 'providers';
$routes['/providers/:id']          = 'provider';

$routes['/purchasecontracts']      = 'purchasecontracts';
$routes['/purchasecontracts/:id']  = 'contract';

$routes['/quotations']             = 'quotations';
$routes['/quotations/:id']         = 'quotation';

$routes['/records']                = 'records';

$routes['/rules']                  = 'rules';

$routes['/searches/:type']         = 'searches';

$routes['/tasks/pairs']            = 'taskpairs';

$routes['/todoes']                 = 'todoes';
$routes['/todoes/:id']             = 'todo';
$routes['/todoes/:id/:type']       = 'todo';

$routes['/tokens']                 = 'tokens';
$routes['/tokens/:id']             = 'token';

$routes['/users']                  = 'users';
$routes['/users/:id']              = 'user';

$config->routes = $routes;
